package com.hikcreate.edl.pub.web.mobile.infra.data.feign.pvt_service_traffic.parm;

import com.hikcreate.common.sdk.response.apiparam.Response;
import com.hikcreate.edl.pub.web.mobile.infra.data.feign.pvt_service_traffic.parm.request.ViolationListByTimeReq;
import com.hikcreate.edl.pub.web.mobile.infra.data.feign.pvt_service_traffic.parm.response.ViolationMicRes;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * 违法信息查询远程调用
 *
 * @author: xieshixiang
 * @time：2020/6/19 15:26
 **/
@FeignClient(name = "edl-pvt-service-traffic", path = "violation", contextId =
        "dcp-pvt-service-traffic")
public interface ViolationFeign {
    /**
     * 查询违法数据
     *
     * @param req 号牌+号牌类型，时间开始-结束
     * @return
     */
    @PostMapping("listByTime")
    Response<List<ViolationMicRes>> listByTime(@Validated @RequestBody ViolationListByTimeReq req);


}
